diff -Nur openbsc.9_tlv/include/openbsc/debug.h openbsc.10_debug/include/openbsc/debug.h
--- openbsc.9_tlv/include/openbsc/debug.h	2009-05-21 07:20:43.000000000 +0200
+++ openbsc.10_debug/include/openbsc/debug.h	2009-05-21 10:03:19.000000000 +0200
@@ -10,6 +10,7 @@
 #define DRSL		0x0010
 #define DNM		0x0020
 
+#define DMNCC		0x0080
 #define DSMS		0x0100
 #define DPAG		0x0200
 
@@ -32,6 +33,6 @@
 void debugp(unsigned int subsys, char *file, int line, int cont, const char *format, ...);
 void debug_parse_category_mask(const char* mask);
 void debug_use_color(int use_color);
-unsigned int debug_mask;
+extern unsigned int debug_mask;
 
 #endif /* _DEBUG_H */
diff -Nur openbsc.9_tlv/src/bs11_config.c openbsc.10_debug/src/bs11_config.c
--- openbsc.9_tlv/src/bs11_config.c	2009-05-21 09:49:04.000000000 +0200
+++ openbsc.10_debug/src/bs11_config.c	2009-05-21 10:03:19.000000000 +0200
@@ -701,6 +701,7 @@
 			{ "win-size", 1, 0, 'w' },
 			{ "forced", 0, 0, 'f' },
 			{ "restart", 0, 0, 'r' },
+			{ "debug", 1, 0, 'b'},
 		};
 
 		c = getopt_long(argc, argv, "hp:s:S:td:Dw:fra:",
@@ -716,6 +717,9 @@
 		case 'p':
 			serial_port = optarg;
 			break;
+		case 'b':
+			debug_parse_category_mask(optarg);
+			break;
 		case 's':
 			fname_software = optarg;
 			break;
diff -Nur openbsc.9_tlv/src/debug.c openbsc.10_debug/src/debug.c
--- openbsc.9_tlv/src/debug.c	2009-05-21 07:20:44.000000000 +0200
+++ openbsc.10_debug/src/debug.c	2009-05-21 10:03:19.000000000 +0200
@@ -47,9 +47,10 @@
 	DEBUG_CATEGORY(DCC,   "DCC",  "\033[1;32m", "")
 	DEBUG_CATEGORY(DNM,   "DMM",  "\033[1;33m", "")
 	DEBUG_CATEGORY(DRR,   "DRR",  "\033[1;34m", "")
-	DEBUG_CATEGORY(DRSL,  "DRSSL","\033[1;35m", "")
+	DEBUG_CATEGORY(DRSL,  "DRSL", "\033[1;35m", "")
 	DEBUG_CATEGORY(DNM,   "DNM",  "\033[1;36m", "")
 	DEBUG_CATEGORY(DSMS,  "DSMS", "\033[1;37m", "")
+	DEBUG_CATEGORY(DMNCC,  "DMNCC", "\033[1;37m", "")
 	DEBUG_CATEGORY(DPAG,  "DPAG", "\033[1;38m", "")
 	DEBUG_CATEGORY(DINP,  "DINP", "", "")
 	DEBUG_CATEGORY(DMI,  "DMI", "", "")
